org.apache.solr.common.util

## Class LinkedSimpleHashMap<T>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,T>
      - - org.apache.solr.common.util.LinkedSimpleHashMap<T>

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,T>, SimpleMap<T>, MapSerializable, MapWriter, NavigableObject

    public class LinkedSimpleHashMap<T>
    extends LinkedHashMap<String,T>
    implements SimpleMap<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`LinkedSimpleHashMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,T>` `asMap()`
`void` `forEachEntry(BiConsumer<String,? super T> fun)` Navigate through all keys and values
`T` `get(String key)` get a value by key.

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.cluster.api.SimpleMap

`abortableForEach, abortableForEachKey, asMap, forEachKey, get, size, writeMap`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### LinkedSimpleHashMap

    public LinkedSimpleHashMap()

### Method Detail

#### get

    public T get(String key)

Description copied from interface: `SimpleMap`
get a value by key. If not present , null is returned

Specified by:
  `get` in interface `SimpleMap<T>`

#### forEachEntry

    public void forEachEntry(BiConsumer<String,? super T> fun)

Description copied from interface: `SimpleMap`
Navigate through all keys and values

Specified by:
  `forEachEntry` in interface `SimpleMap<T>`

#### asMap

    public Map<String,T> asMap()

Specified by:
  `asMap` in interface `SimpleMap<T>`